[PATCH] selftests/cpu-hotplug: Fix check for cpu hotplug not supported
From: Dmytro Maluka
Date: Thu Mar 19 2026 - 11:42:23 EST
If CONFIG_HOTPLUG_CPU is disabled, /sys/devices/system/cpu/cpu*
directories are still populated, so the test fails to correctly detect
that CPU hotplug is not supported.
Fix this by checking for the presence of 'online' files in those
directories instead. The 'online' node is created for the given CPU if
and only if this CPU supports hotplug. So if none of the CPUs have
'online' nodes, it means CPU hotplug is not supported.
Signed-off-by: Dmytro Maluka <dmaluka@xxxxxxxxxxxx>
---
tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
index 6232a46ca6e1..287cfd5809f6 100755
--- a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
+++ b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
@@ -24,7 +24,7 @@ prerequisite()
exit $ksft_skip
fi
- if ! ls $SYSFS/devices/system/cpu/cpu* > /dev/null 2>&1; then
+ if ! ls $SYSFS/devices/system/cpu/cpu*/online > /dev/null 2>&1; then
echo $msg cpu hotplug is not supported >&2
exit $ksft_skip
fi
--
2.53.0.851.ga537e3e6e9-goog